GuidesAPI Reference
GuidesAPI Reference
  1. Transactions
  • wallets
    • Create a new wallet
      POST
    • Get wallet details
      GET
    • List wallets
      GET
  • Tokens
    • Deploy and register a new token
      POST
    • Mint tokens
      POST
    • Burn tokens
      POST
    • Burn tokens from a specific wallet
      POST
    • List tokens
      GET
    • Pause token transfers
      POST
    • Unpause token transfers
      POST
    • Block user from token transfers
      POST
    • Unblock user from token transfers
      POST
  • Transfers
    • Create a new transfer
      POST
    • Get transfer details
      GET
    • List transfers
      GET
  • Transactions
    • Execute an arbitrary contract call
      POST
  • Audit
    • Query audit logs
      GET
  1. Transactions

Execute an arbitrary contract call

POST
https://caas-api.tokenone.com.br//v1/transactions/execute
Submit an arbitrary contract call (calldata) through a smart account wallet

Requisição

Authorization
API Key
Adicionar parâmetro em header
x-api-key
Exemplo:
x-api-key: ********************
or
Parâmetros Bodyapplication/jsonNecessário

Examples

Respostas

🟢201
application/json
Created
Bodyapplication/json

🟠400
🟠401
🟠422
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://caas-api.tokenone.com.br//v1/transactions/execute' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "data": "string",
    "from": "string",
    "metadata": {
        "property1": "string",
        "property2": "string"
    },
    "network": "xdc-testnet",
    "reason": "string",
    "to": "string",
    "value": "string"
}'
Response Response Example
201 - Exemplo 1
{
    "gasFee": "string",
    "hash": "string",
    "status": "string",
    "transactionId": "string",
    "userOpHash": "string"
}
Página anterior
List transfers
Próxima página
Query audit logs
Built with